# Sakura-Dress | 樱落绘境基岩版萌芽时装

## 引言

欢迎来到Sakura-Dress项目的编辑指南！本指南旨在帮助您顺利开始、编辑并测试樱落绘境基岩版萌芽时装。通过简单的步骤，您将能够定制并生成自己的Minecraft基岩版时装包。

## 环境准备

### 安装必要的软件

1. **Git**：用于克隆项目。您可以从[Git官网](https://git-scm.com/)下载并安装。
2. **Visual Studio Code (VSCode)**：一款轻量级但功能强大的代码编辑器，支持多种编程语言。您可以从[VSCode官网](https://code.visualstudio.com/)下载并安装。
3. **7-Zip**：用于压缩和解压文件，是编译过程中必需的。从[7-Zip官网](https://www.7-zip.org/)下载并安装。

### 克隆项目

1. 打开您的命令行工具（如CMD、PowerShell或Git Bash）。
2. 使用以下命令克隆Sakura-Dress项目到您的本地计算机：

   ```sh
   git clone https://git.sakura-realm.ink/data07/Sakura-Dress.git
   ```

3. 等待克隆完成，然后导航到项目文件夹：

   ```sh
   cd Sakura-Dress
   ```

## 开始编辑

1. **使用VSCode打开项目**：
   - 打开VSCode。
   - 选择“文件” > “打开文件夹”，然后选择您刚克隆的`Sakura-Dress`文件夹。

2. **编辑文件**：
   - 您可以开始编辑项目中的任何文件，如时装设计文件（通常是JSON和PNG格式）。
   - 确保遵循Minecraft基岩版时装设计的规范和要求。

## 编译与测试

1. **设置环境变量**（如果尚未设置）：

   - 找到7-Zip的安装目录，通常位于`C:\Program Files\7-Zip`。
   - 将此目录添加到系统的环境变量中。在Windows上，您可以通过“系统属性” > “高级” > “环境变量”来添加。

2. **更新PowerShell**（如果未更新）：

   - 使用命令更新。（需要能链接到github，例如开启vpn）
     ```sh
     winget install Microsoft.PowerShell
     ```

3. **编译项目**：

   - 在VSCode中，按Ctrl + `（反引号）打开终端。
   - 输入以下命令运行编译脚本：

     ```sh
     .\CreatAddon.bat
     ```

   - 等待打包完成。

4. **检查结果**：

   - 打包成功后，您将在`dist`目录下找到生成的`.mcaddon`文件。
   - 您可以将其导入Minecraft基岩版中测试您的时装。

## 常见问题与解决

- **如果编译失败**：
  - 检查7-Zip是否已正确添加到环境变量中。
  - 确保所有文件路径和文件名没有错误。
  - 查看终端输出的错误信息，根据提示进行调试。

- **时装在Minecraft中不显示**：
  - 确保`.mcaddon`文件已正确导入Minecraft。
  - 检查Minecraft的版本是否与您的时装包兼容。
  - 尝试重启Minecraft。

## 结语

通过遵循以上步骤，您应该能够顺利编辑、编译并测试Sakura-Dress项目中的萌芽时装。如果您有任何疑问或遇到问题，请随时查看项目的官方文档或联系项目维护者。祝您编辑愉快！